using System;

internal sealed class Delegate851 : MulticastDelegate
{
	public extern RuntimeMethodHandle Invoke(object object_0);

	public static RuntimeMethodHandle smethod_0(object object_0, Delegate851 delegate851_1)
	{
		return delegate851_1(object_0);
	}

	public extern Delegate851(object object_0, IntPtr intptr_0);

	static Delegate851()
	{
		Class10.smethod_13(typeof(Delegate851).TypeHandle);
	}

	internal static Delegate851 delegate851_0;
}
